# SoComposeMatrix Class Reference
[Engine classes]

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoComposeMatrix:

List of all members.

## Detailed Description

The SoComposeMatrix class is used to compose a matrix from miscellaneous transformations.

## Public Attributes

SoMFVec3f | translation
SoMFRotation | rotation
SoMFVec3f | scaleFactor
SoMFRotation | scaleOrientation
SoMFVec3f | center
SoEngineOutput | matrix

## Member Data Documentation

SoMFVec3f SoComposeMatrix::translation

| Input field with set of translation vectors for the output matrices.

SoMFRotation SoComposeMatrix::rotation

| Input field with set of rotations for the output matrices.

SoMFVec3f SoComposeMatrix::scaleFactor

| Input field with set of scale vectors for the output matrices.

SoMFRotation SoComposeMatrix::scaleOrientation

| Input field with set of scale orientations for the output matrices.

SoMFVec3f SoComposeMatrix::center

| Input field with set of center positions for the output matrices.

SoEngineOutput SoComposeMatrix::matrix

| (SoMFMatrix) A set of matrices calculated from the input fields. The matrices is calculated by the SbMatrix::setTransform() function.

The documentation for this class was generated from the following files:

- SoComposeMatrix.h
- SoComposeMatrix.cpp